'use strict';

const Promise  = require('bluebird');
const eventBus = require('../index');
eventBus.init('amqp://codefresh.dev', 'microservice1');

let totalRecieved = 0;
// setInterval(() => {
//     eventBus.publish('myevent', `my message ${totalRecieved}`);
//     totalRecieved++;
//     console.log(`sent message: ${totalRecieved}`);
// }, 1000);

const subscriber = eventBus.subscribe('myevent', (msg) => {
    return Promise.resolve()
        .then(() => {
            totalRecieved++;
            console.log(`recieved message ${totalRecieved}: ${msg}`);
        });
});

subscriber.on('error', (err) => {
    if (err.connection) {
        console.error(`Connection error: ${err.connection.toString()}`);
    } else if (err.handler) {
        console.error(`Handler error: ${err.handler.toString()}`);
    }
});
